%define	name		chora
%define	version		1.2
%define	release		2mdk
%define order		72
#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Chora is the Horde CVS viewer: an advanced web-based view of any CVS repository
License:	GPL
Group: 		System/Servers
Source: 	%{name}-%{version}.tar.bz2
Source1:	%{name}-apache.conf.bz2
URL: 		http://www.horde.org/chora/
Requires: 	horde >= 2.0
Requires:	cvs
Provides:	ADVXpackage
BuildRequires:	ADVX-build >= 1.2
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
Chora is the Horde CVS viewer, and it provides an advanced web-based 
view of any CVS repository. It now includes annotation support, visual 
branch viewing capability, and human-readable diffs.

The Horde Project writes web applications in PHP and releases them under
the GNU Public License.  For more information (including help with Chora)
please visit http://www.horde.org/.

Please edit %{ap_htdocsdir}//horde/%{name}/config/cvsroots.php 
to suit your site's needs.
You must also edit %{ap_htdocsdir}/horde/config/registry.php 

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
# apache configuration
%ADVXinstconf %{SOURCE1} %{order}_%{name}.conf

# pre-install clean-up
mv config/README config/README.config

# install files
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}
cp -pR * $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}

# post-install cleanup
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/COPYING
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/README
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/config/README.config
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/lib/README.CVSLib
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/docs
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/po

# activate configuration files
for file in $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/config/*.dist; do
	mv $file ${file%.dist}
done

#%ADVXinstdoc %{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc COPYING README lib/README.CVSLib config/README.config docs
# Apache configuration file
%config(noreplace) %{ap_confd}/%{order}_%{name}.conf
# top level dir an files
%dir %{ap_htdocsdir}/horde/%{name}
%{ap_htdocsdir}/horde/%{name}/*.php
# standard files
%{ap_htdocsdir}/horde/%{name}/graphics
%{ap_htdocsdir}/horde/%{name}/lib
%{ap_htdocsdir}/horde/%{name}/templates
# config files
%dir %{ap_htdocsdir}/horde/%{name}/config
%{ap_htdocsdir}/horde/%{name}/config/.htaccess
%config(noreplace) %{ap_htdocsdir}/horde/%{name}/config/*.php
%config(noreplace) %{ap_htdocsdir}/horde/%{name}/config/*.txt
# localisation files
%dir %{ap_htdocsdir}/horde/%{name}/locale
%{ap_htdocsdir}/horde/%{name}/locale/.htaccess
%lang(cs_CZ) %{ap_htdocsdir}/horde/%{name}/locale/cs_CZ
%lang(de_DE) %{ap_htdocsdir}/horde/%{name}/locale/de_DE
%lang(en_US) %{ap_htdocsdir}/horde/%{name}/locale/en_US
%lang(es_ES) %{ap_htdocsdir}/horde/%{name}/locale/es_ES
%lang(fi_FI) %{ap_htdocsdir}/horde/%{name}/locale/fi_FI
%lang(fr_FR) %{ap_htdocsdir}/horde/%{name}/locale/fr_FR
%lang(nb_NO) %{ap_htdocsdir}/horde/%{name}/locale/nb_NO
%lang(nl_NL) %{ap_htdocsdir}/horde/%{name}/locale/nl_NL
%lang(pl_PL) %{ap_htdocsdir}/horde/%{name}/locale/pl_PL
%lang(pt_BR) %{ap_htdocsdir}/horde/%{name}/locale/pt_BR
%lang(sv_SE) %{ap_htdocsdir}/horde/%{name}/locale/sv_SE

%changelog
* Tue Sep 09 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2-2mdk
- changed order to 72, as all other horde apps
- requires horde, not horde2
- standard perms and ownership for config files, access is already denied

* Mon Sep 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2-1mdk
- 1.2
- spec cleanup
- remove useless files from webroot (.dist, doc files, .po)
- properly tag localisation files
- ADVX macros
- apache2 integration
- fixed URL

* Thu Jan 16 2003 Yves Duret <yves@zarb.org> 1.1-2mdk
- rebuild.
- added missing doc.

* Mon Oct 28 2002 Yves Duret <yves@zarb.org> 1.1-1mdk
- first mandrake release

